Subject: Re: Cygwin httpd problem
From: Stipe Tolj <[email-masked]>
To: Bill Sheppard <[email-masked]>
Cc: [email-masked], Mark Douglas <[email-masked]>
Date: Tue, 18 Jun 2002 17:03:54 +0200

Hi Bill,

> I installed Cygwin (uname reports CYGWIN_98_4.10, downloaded from
> archive.progeny.com, setup V2.249.2.2) on my Win98SE system (384MB RAM)
> a few days ago, and it seems to be working well (if not a bit
> sluggishly, but I'll blame that on Microsoft).  I'm confident in the
> installation, as I have sshd, ftpd, and other pieces running.  If I run
> Apache (httpd, V1.3.24-5), however, I get:
> 
> C:\CYGWIN\USR\SBIN\HTTPD.EXE: *** couldn't allocate memory
> 0x10000(4128768) for 'C:\CYGWIN\BIN\CYGGDBM.DLL' alignment, Win32 error 8
> 
> repeated every few seconds.  This is regardless of whether I'm running
> it standalone or from inetd.  Doing some web research brought up
> something having to do with recompiling Cygwin and rebasing it, but it
> wasn't clear from where the error stems.
> 
> Can you provide any pointers to resolving this problem?

you may try to rebase the depending DLLs like Jason advises. 

Please let me know if this works on Win98, because I'm currently
working and testing on WinNT based systems for the Apache for Cygwin
port and do not explicitly support Win9x versions.

But if you succeed this would be great news anyway.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/